@import url('https://fonts.googleapis.com/css2?family=Outfit:wght@100..900&display=swap');

*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: outfit;
}
body{
    background-color: #131921;
}
a{
    text-decoration: none;
    color: inherit;
}
nav{
    display: flex;
    align-items: center;
    justify-content: space-between;
    background: #131921;
    padding: 10px 20px;
    color: #fff;
}
.nav-search{
    flex: 1;
    display: flex;
    align-items: center;
    background: #fff;
    color: gray;
    max-width: 1000px;
    border-radius: 4px;
    margin-left: 15px;
}
.nav-search-catagory{
    display: flex;
    align-items: center;
    padding: 10px 20px;
    gap: 5px;
    background: #e5e5e5;
    border-radius: 4px 0 0 4px;
}
.nav-search-input{
    border: none;
    outline: none;
    padding-left: 20px;
    width: 100%;
}
.nav-search-icon{
    max-width: 41px;
    padding: 8px;
    background:  rgba(153, 205, 50, 0.91);
    border-radius: 0 4px 4px 0;
}
.nav-language{
    display: flex;
    align-items: center;
    gap: 2px;
    font-weight: 600;
    margin-left: 15px;
}
.nav-text{
    margin-left: 15px;
}
.nav-text p{
    font-size: 10px;
}
.nav-text h1{
    font-size: 14px;
}
.nav-cart{
    display: flex;
    align-items: center;
    margin: 0px 15px;
}
.nav-bottom{
    display: flex;
    align-items: center;
    gap: 25px;
    padding: 8px 20px;
    background:  rgba(153, 205, 50, 0.91);
    color: black;
    font-size: 15px;
    justify-content: space-between;
}
.nav-bottom div{
    display: flex;
    align-items: center;
    gap: 5px;
    font-weight: 500;
}
.header-slider ul{
    display: flex;
    overflow-y: hidden;
}
.header-img{
    max-width: 100%;
    mask-image: linear-gradient(to bottom, #000000 50%.
    transparent 100%);
    
}
.header-slider a{
    position: absolute;
    top: 20%;
    z-index: 1;
    padding: 5vh 1vw;
    background: #ffffff4f;
    color: #0000007b;
    text-decoration: none;
    font-weight: 600;
    font-size: 18px;
    cursor: pointer;
}
.middle-portion{
    width: 100%;
    height: 600px;
    background-color: #dadada;
    margin-bottom: 30px;
    margin-top: 30px;
}
.see-more{
;
}



.products-slider{
    width: 100%;
    background: white;
    padding: 20px;
    margin-bottom: 25px; 
    
}
.products-slider .products{
    display: flex;
    overflow-x: auto;
    gap: 50px
    margin-top: 50px;
    
    
}
.products-slider .products img{
    width: 250px;
    height: 250px;
    //border-radius: 50%;
    //border-style: solid;
    //border-width: 8px;
    //border-color: white;
    transition: 1s;
}
.products-slider .products::-webkit-scrollbar{
    display: none;
}
.products img:hover{
    transform: scale(1.5);
    z-index: 2;
}
.control_next{
    right: 0;

}
footer{
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: white;
    background: #131921;
    padding: 20px 60px;
    
} 
footer h5{
    color: green;
}
footer p{
    color: grey;
}


.box-row{
    display: flex;
    flex-wrap: wrap;
    row-gap: 20px;
    justify-content: space-between;
    margin: 20px 30px;
    z-index: 1;
}
.box-col{
    display: flex;
    flex-direction: column;
    gap: 10px;
    padding: 15px 20px;
    background: white;
    max-width: 24%;
    min-height: 200px;
}
.box-col a{
    font-size: 13px;
    color: #009999;
    font-weight: 500;
}
.header-box{
    margin-top: 3vw;
    margin-bottom: 3vw;
}
.box-row .box{
            border: 2px solid #000;
            width: 270px;
            margin: 10px auto;
            position: relative;
            overflow: hidden;
            height:280px ;
        }
        .box-row .box img{
            width: 300px;
            height: 250px;
        }
        .content{
            color: white;
            background: rgba(0, 0, 0, 0.6);
            position: absolute;
            top: 0;
            left: -100%;
            height: 100%;
            width: 100%;
            padding: 20px;
            box-sizing: border-box;
            transition: all 0.5s;
        }
        .box:hover .content{
          left: 0;  
        }
        .content p{
            border-top: 1px solid white;
            border-bottom: 1px solid white;
            padding: 20px;
        }
/*------media query------*/
@media only screen and (max-width:900px){
    nav{
        flex-wrap: wrap;
    }
    .nav-search{
        order: 7;
        margin: 15px 0 5px;
        max-width: 300px;
    }
    .box-col{
        max-width: 48%;
    }
    
}
@media only screen and (max-width:600px){
    .nav-contry{
        display: none;
    }
    .nav-language{
        display: none;
    }
    .nav-text{
        display: none;
    }
    .nav-bottom{
        font-size: 13px;
        gap: 10px;
        overflow-x: scroll;
    }
    .nav-bottom::-webkit-scrollbar{
        display: none;
    }
    .nav-bottom p{
        text-wrap: nowrap;
    }
    .mobile-user-icon{
        display: flex !important;
        flex: 1;
        justify-content: flex-end;
    }
    .mobile-user-icon img{
        width: 25px;
    }
    .nav-cart h4{
        display: none;
    }
    .nav-cart img{
        width: 25px;
    }
    .header-slider a{
        top: 24px;
        padding: 2vh 1vw;
        font-size: 15px;
    }
    .box-col{
        max-width: 100%;
        width: 100%;
    }
    footer{
        justify-content: center;
        flex-direction: column;
        font-size: 14px;
    }
}


